# H4501_UserSpecifiedSubaddress Class Reference

`#include <h4501.h>`

Inheritance diagram for H4501_UserSpecifiedSubaddress:

List of all members.

## Public Types

enum | OptionalFields { e_oddCountIndicator }

## Public Member Functions

| H4501_UserSpecifiedSubaddress (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4501_SubaddressInformation | m_subaddressInformation
PASN_Boolean | m_oddCountIndicator

## Member Enumeration Documentation

enum H4501_UserSpecifiedSubaddress::OptionalFields

Enumerator:

  e_oddCountIndicator |

## Constructor & Destructor Documentation

H4501_UserSpecifiedSubaddress::H4501_UserSpecifiedSubaddress | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4501_UserSpecifiedSubaddress::GetDataLength | ( |  | ) | const

PBoolean H4501_UserSpecifiedSubaddress::Decode | ( | PASN_Stream & | strm | ) |

void H4501_UserSpecifiedSubaddress::Encode | ( | PASN_Stream & | strm | ) | const

void H4501_UserSpecifiedSubaddress::PrintOn | ( | ostream & | strm | ) | const

Comparison H4501_UserSpecifiedSubaddress::Compare | ( | const PObject & | obj | ) | const

PObject* H4501_UserSpecifiedSubaddress::Clone | ( |  | ) | const

## Member Data Documentation

H4501_SubaddressInformation H4501_UserSpecifiedSubaddress::m_subaddressInformation

PASN_Boolean H4501_UserSpecifiedSubaddress::m_oddCountIndicator

The documentation for this class was generated from the following file:

- h4501.h